Package com.xebialabs.deployit.plugin.api.udm

# Class Application

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.Application

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(description="An application. Each version of the application is a separate package.", root=APPLICATIONS) @TypeIcon("icons/types/udm.Application.svg") public class Application extends BaseConfigurationItem
Conceptually, an Application is a configuration item (CI) representing a real-world application, that can be deployed on a specific middleware.

Technically, an Application is a group of all the associated `Version`s. A Version (sometimes also called package) can be either a `DeploymentPackage` or a `CompositePackage`, and contains a collection of `DeployableArtifact`s and resource specifications. Such a package can be deployed on a `Container`.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Application()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLastVersion()`
  `void`
  `setLastVersion(String lastVersion)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Application

    public Application()

- ## Method Details

  - ### getLastVersion

    public String getLastVersion()
    Returns:
      The latest application version number as the highest udm.Version name sorted in lexicographical ordering.

  - ### setLastVersion

    public void setLastVersion(String lastVersion)
    Parameters:
      `lastVersion` - The latest version number of the application.